Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMItem

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMContentModel
                  |
                  +--com.jxml.quick.model.qdml.QDMItem

All Implemented Interfaces:
  Cloneable

public class QDMItem
extends QDMContentModel

Models the item element in QDML. The item element is used to define attributes and element content, providing information that relates to the XML document type and the Java classes that model them.

    DTD:

    <!ELEMENT item (rem*, id?)

    <!ATTLIST item
        label CDATA #IMPLIED
        cref CDATA #IMPLIED
        optional CDATA "False"
        repeating CDATA "False"
        coin CDATA #IMPLIED
        schema CDATA #IMPLIED
        fixed CDATA "False"
        value CDATA #IMPLIED
        ID id #IMPLIED
    >

Field Summary
`QDMCoin` | `coin` The QDMCoin object which models the element named by the coin attribute.
`String` | `coinName` Models a coin attribute on the item element.
`boolean` | `fixed` Models the fixed attribute on the item element.
`QDMId` | `id` Models the optional id element content.
`String` | `schema` Models the schema attribute on the item element.
`String` | `value` Models the value attribute on the item element.

Fields inherited from class com.jxml.quick.model.qdml.QDMContentModel
`content, cref, enclosingCoin, initialized, label, optional, remList, repeating`

Constructor Summary
`QDMItem()`

Method Summary
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`String` | `getAttributeTagName()` Returns the attribute tag name.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.
`boolean` | `isContainedBy(String label, TreeMap coinMap)`

Methods inherited from class com.jxml.quick.model.qdml.QDMContentModel
`buildMaps`

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### coinName

    public String coinName

  Models a coin attribute on the item element. The coin attribute names another coin in the QDML document. When the schema attribute is not set, the named coin must be present in the current QDML document or in an included document. But when the schema attribute is set, the named coin must be present in the QIML document referenced by the schema attribute.

  The coin attribute is optional when the cref attribute is set, as its value will then be determined by the item element named by the cref.

### schema

    public String schema

  Models the schema attribute on the item element. The schema attribute provides the URL of the QIML document which contains the coin referenced by the coin attribute. The schema attribute is optional. When the schema attribute is not present, the coin attribute names a coin in the current QDML document, or it names a coin in an included QDML document.

  When the cref attribute is set and the schema attribute is not present, the schema attribute on the item element named by the cref is used.

### fixed

    public boolean fixed

  Models the fixed attribute on the item element. When the fixed attribute is set to true, the attribute described by the item element has a pre-assigned value that can not be changed.

  The fixed attribute defaults to false. But when the fixed attribute is false and the cref attribute is set, the fixed attribute on the item element named by the cref is used.

### value

    public String value

  Models the value attribute on the item element. When the fixed attribute is false, the value attribute supplies a default value for the attribute defined by the item element. But when the fixed attribute is true, the value attribute supplies the unchangable pre-assigned value of the attribute being defined.

  The value attribute is optional. But when the value attribute is not set and the cref attribute is set, the value attribute on the item element named by the cref is used.

### id

    public QDMId id

  Models the optional id element content. When present, the attribute is of type id.

### coin

    public transient QDMCoin coin

  The QDMCoin object which models the element named by the coin attribute. This variable is populated when the data model is initialized.

Constructor Detail

### QDMItem

    public QDMItem()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QDMContentModel`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QDMContentModel`

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QDMContentModel`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QDMContentModel`

### getAttributeTagName

    public String getAttributeTagName()
                               throws SAXException

  Returns the attribute tag name.

### isContainedBy

    public boolean isContainedBy(String label,
                                 TreeMap coinMap)

  Overrides:
    `isContainedBy` in class `QDMContentModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD